GET
/v1/auth/me

Response Body

application/json

curl -X GET "https://example.com/v1/auth/me"
{
  "username": "string",
  "role": "string"
}
GET
/v1/responses/{response_id}

Path Parameters

response_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
DELETE
/v1/responses/{response_id}

Path Parameters

response_id*string
Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/responses

Query Parameters

limit?integer
Default100
stream_id?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "response",
      "created_at": 0,
      "model": "string",
      "status": "in_progress"
    }
  ],
  "has_more": false
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/responses

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/responses/events

Query Parameters

stream_id?string|null
limit?integer
Default20
starting_after?string|null
ending_before?string|null
wait_ms?integer
Default0

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses/events"
{
  "object": "list",
  "data": [
    {
      "completion_id": "string",
      "response_id": "string",
      "custom_id": "string",
      "status": "string",
      "result": {
        "property1": null,
        "property2": null
      },
      "error": {
        "property1": null,
        "property2": null
      },
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cost_micros": 0,
      "completed_at": "string"
    }
  ],
  "has_more": true
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/chat/completions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/chat/completions" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "messages": [      {        "role": "string"      }    ]  }'
{
  "property1": null,
  "property2": null
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/embeddings

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/messages

Query Parameters

beta?boolean|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/messages" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "max_tokens": 0,    "messages": [      {        "role": "user",        "content": "string"      }    ]  }'
{
  "property1": null,
  "property2": null
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/models

Response Body

application/json

curl -X GET "https://example.com/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "model",
      "created": 0,
      "owned_by": "sference",
      "display_name": "string",
      "modality": "text_generation",
      "capabilities": {
        "image_input": {
          "supported": false
        },
        "pdf_input": {
          "supported": false
        },
        "thinking": {
          "supported": false,
          "types": {
            "enabled": {
              "supported": false
            },
            "adaptive": {
              "supported": false
            }
          }
        },
        "tools": {
          "supported": false
        },
        "dimensions": 0
      },
      "context_tokens": 0,
      "provider": "string",
      "pricing": {
        "input_per_million_usd": 0,
        "output_per_million_usd": 0,
        "cached_input_per_million_usd": 0
      },
      "released": "string"
    }
  ]
}
POST
/v1/batches/{batch_id}/cancel

Path Parameters

batch_id*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"
{
  "id": "string",
  "status": "pending",
  "window": "24h",
  "request_count": 0,
  "created_at": "string",
  "updated_at": "string",
  "completed_at": "string",
  "total_prompt_tokens": 0,
  "total_completion_tokens": 0,
  "total_tokens": 0,
  "total_cost_micros": 0
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/batches

Response Body

application/json

curl -X GET "https://example.com/v1/batches"
{
  "items": [
    {
      "id": "string",
      "status": "pending",
      "window": "24h",
      "request_count": 0,
      "created_at": "string",
      "updated_at": "string",
      "completed_at": "string",
      "total_prompt_tokens": 0,
      "total_completion_tokens": 0,
      "total_tokens": 0,
      "total_cost_micros": 0
    }
  ]
}
POST
/v1/batches

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/batches" \  -H "Content-Type: application/json" \  -d '{    "requests": [      {        "body": {          "property1": null,          "property2": null        }      }    ]  }'
{
  "id": "string",
  "status": "pending",
  "window": "24h",
  "request_count": 0,
  "created_at": "string",
  "updated_at": "string",
  "completed_at": "string",
  "total_prompt_tokens": 0,
  "total_completion_tokens": 0,
  "total_tokens": 0,
  "total_cost_micros": 0
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/batches/{batch_id}

Path Parameters

batch_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "status": "pending",
  "window": "24h",
  "request_count": 0,
  "created_at": "string",
  "updated_at": "string",
  "completed_at": "string",
  "total_prompt_tokens": 0,
  "total_completion_tokens": 0,
  "total_tokens": 0,
  "total_cost_micros": 0
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/batches/{batch_id}/results

Path Parameters

batch_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/results"
{
  "batch_id": "string",
  "status": "pending",
  "output_url": "string",
  "completed_at": "string",
  "results": [
    {
      "property1": null,
      "property2": null
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/batches/{batch_id}/results.jsonl

Path Parameters

batch_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/results.jsonl"
"string"
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/control/v1/models/custom

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/models/custom" \  -H "Content-Type: application/json" \  -d '{    "model_id": "string",    "architecture": "qwen"  }'
{
  "id": "string",
  "display_name": "string",
  "provider": "string",
  "platform_status": "available",
  "modality": "string",
  "context_tokens": 0,
  "released": "string",
  "deprecated": "string",
  "input_per_million_usd": 0,
  "output_per_million_usd": 0,
  "cached_input_per_million_usd": 0,
  "tpm_limit": "unlimited",
  "rpm_limit": "unlimited",
  "requests_per_hour": "—",
  "deployed_on_platform": true,
  "capabilities": {
    "image_input": {
      "supported": false
    },
    "pdf_input": {
      "supported": false
    },
    "thinking": {
      "supported": false,
      "types": {
        "enabled": {
          "supported": false
        },
        "adaptive": {
          "supported": false
        }
      }
    },
    "tools": {
      "supported": false
    },
    "dimensions": 0
  },
  "ownership": "platform",
  "deploy_status": "pending_deploy",
  "architecture": "string",
  "has_hf_token": true,
  "status_reason": "string"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
DELETE
/control/v1/models/custom

Query Parameters

model_id*string

Custom model id (e.g. org/name)

Response Body

application/json

curl -X DELETE "https://example.com/control/v1/models/custom?model_id=string"
Empty
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/models/catalog

Response Body

application/json

curl -X GET "https://example.com/control/v1/models/catalog"
{
  "models": [
    {
      "id": "string",
      "display_name": "string",
      "provider": "string",
      "platform_status": "available",
      "modality": "string",
      "context_tokens": 0,
      "released": "string",
      "deprecated": "string",
      "input_per_million_usd": 0,
      "output_per_million_usd": 0,
      "cached_input_per_million_usd": 0,
      "tpm_limit": "unlimited",
      "rpm_limit": "unlimited",
      "requests_per_hour": "—",
      "deployed_on_platform": true,
      "capabilities": {
        "image_input": {
          "supported": false
        },
        "pdf_input": {
          "supported": false
        },
        "thinking": {
          "supported": false,
          "types": {
            "enabled": {
              "supported": false
            },
            "adaptive": {
              "supported": false
            }
          }
        },
        "tools": {
          "supported": false
        },
        "dimensions": 0
      },
      "ownership": "platform",
      "deploy_status": "pending_deploy",
      "architecture": "string",
      "has_hf_token": true,
      "status_reason": "string"
    }
  ]
}
POST
/control/v1/models/request-deployment

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/models/request-deployment" \  -H "Content-Type: application/json" \  -d '{    "model_id": "string"  }'
{
  "ok": true
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/models/search

Query Parameters

q?|

Filter by model id, display name, or provider

modality?string
Default"text_generation"
status?string

One of: "available", "coming_soon", "deprecated", "all"

Default"all"

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/models/search"
{
  "items": [
    {
      "id": "string",
      "display_name": "string",
      "provider": "string",
      "modality": "text_generation",
      "context_tokens": 0,
      "released": "string",
      "input_per_million_usd": 0,
      "output_per_million_usd": 0,
      "cached_input_per_million_usd": 0,
      "tpm_limit": "unlimited",
      "rpm_limit": "unlimited",
      "requests_per_hour": "—",
      "catalog_status": "available",
      "deployed_on_platform": true,
      "source": "catalog"
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/deployments

Response Body

application/json

curl -X GET "https://example.com/control/v1/deployments"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "model_source": "platform",
      "model_id": "string",
      "region": "string",
      "performance": "cost_saving",
      "min_replicas": 0,
      "max_replicas": 0,
      "notes": "string",
      "status": "pending_deploy",
      "status_reason": "string",
      "activated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
POST
/control/v1/deployments

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/deployments" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "model_source": "platform",    "model_id": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "model_source": "platform",
  "model_id": "string",
  "region": "string",
  "performance": "cost_saving",
  "min_replicas": 0,
  "max_replicas": 0,
  "notes": "string",
  "status": "pending_deploy",
  "status_reason": "string",
  "activated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
DELETE
/control/v1/deployments/{deployment_id}

Path Parameters

deployment_id*string
Formatuuid

Response Body

application/json

curl -X DELETE "https://example.com/control/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/control/v1/teams/me/members

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/teams/me/members" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{
  "user_id": "string",
  "email": "string",
  "role": "string",
  "is_active": true,
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/teams/me

Response Body

application/json

curl -X GET "https://example.com/control/v1/teams/me"
{
  "id": "string",
  "name": "string",
  "email_domain": "string",
  "role": "string",
  "zero_data_retention_enabled": false,
  "members": [
    {
      "user_id": "string",
      "email": "string",
      "role": "string",
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
PATCH
/control/v1/teams/me

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/control/v1/teams/me" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "email_domain": "string",
  "role": "string",
  "zero_data_retention_enabled": false,
  "members": [
    {
      "user_id": "string",
      "email": "string",
      "role": "string",
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
PATCH
/control/v1/teams/me/members/{user_id}

Path Parameters

user_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/control/v1/teams/me/members/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "role": "admin"  }'
{
  "user_id": "string",
  "email": "string",
  "role": "string",
  "is_active": true,
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
DELETE
/control/v1/teams/me/members/{user_id}

Path Parameters

user_id*string
Formatuuid

Response Body

application/json

curl -X DELETE "https://example.com/control/v1/teams/me/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/activity/{request_id}

Path Parameters

request_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/activity/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "status": "pending",
  "model": "string",
  "custom_id": "string",
  "type": "standalone",
  "batch_id": "string",
  "stream_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "completed_at": "2019-08-24T14:15:22Z",
  "prompt_tokens": 0,
  "completion_tokens": 0,
  "total_tokens": 0,
  "cached_prompt_tokens": 0,
  "cost_micros": 0,
  "body_json": {},
  "result_json": {},
  "error_json": {}
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/activity

Query Parameters

page?integer
Default1
Range1 <= value
page_size?integer
Default25
Range1 <= value <= 100
type?string|null
status?string|null
model?string|null
created_after?string|null
created_before?string|null
api_key_id?|

Filter activity to one API key

user_id?|

Team admins: filter activity to one member

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/activity"
{
  "items": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "status": "pending",
      "model": "string",
      "custom_id": "string",
      "type": "standalone",
      "batch_id": "string",
      "stream_id": "string",
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cached_prompt_tokens": 0,
      "cost_micros": 0,
      "error": {},
      "api_key_id": "string",
      "api_key_name": "string",
      "api_key_prefix": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/activity/models

Query Parameters

user_id?|

Team admins: filter models to one member

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/activity/models"
[
  "string"
]
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/control/v1/billing/invoices

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/billing/invoices" \  -H "Content-Type: application/json" \  -d '{}'
{
  "stripe_invoice_id": "string",
  "hosted_invoice_url": "string",
  "amount_cents": 0,
  "currency": "string",
  "period_start": "2019-08-24T14:15:22Z",
  "period_end": "2019-08-24T14:15:22Z",
  "status": "string"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/control/v1/billing/topups

Query Parameters

nonce*string

Client-generated nonce to stabilize idempotency.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

amount_usd*string

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/billing/topups?nonce=string" \  -H "Content-Type: application/json" \  -d '{    "amount_usd": "string"  }'
{
  "stripe_session_id": "string",
  "checkout_url": "string"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/billing/summary

Query Parameters

days?integer
Default30
Range1 <= value <= 365

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/billing/summary"
{
  "summary": {
    "days": 0,
    "total_prompt_tokens": 0,
    "total_completion_tokens": 0,
    "total_tokens": 0,
    "total_cached_prompt_tokens": 0,
    "total_requests": 0,
    "estimated_cost_micros": 0,
    "credit_balance_micros": 0
  },
  "by_model": [
    {
      "model": "string",
      "service_tier": "default",
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cached_prompt_tokens": 0,
      "total_requests": 0,
      "cost_micros": 0,
      "pricing": {
        "model": "string",
        "prompt_token_price_micros": 0,
        "completion_token_price_micros": 0,
        "effective_from": "2019-08-24T14:15:22Z"
      }
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/billing/transactions

Query Parameters

limit?integer
Default25
Range1 <= value <= 100
starting_after?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/billing/transactions"
{
  "items": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "type": "string",
      "amount_micros": 0,
      "balance_after_micros": 0,
      "description": "string",
      "external_provider": "string",
      "external_payment_id": "string"
    }
  ],
  "next_starting_after": "string"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/usage/daily

Query Parameters

days?integer

Number of days to look back

Default30
Range1 <= value <= 365
user_id?|

Team admins: filter usage to one member

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/usage/daily"
{
  "items": [
    {
      "date": "string",
      "model": "string",
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cached_prompt_tokens": 0,
      "request_count": 0,
      "cost_micros": 0
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/control/v1/usage/summary

Query Parameters

days?integer

Number of days to look back

Default30
Range1 <= value <= 365
user_id?|

Team admins: filter usage to one member

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/usage/summary"
{
  "summary": {
    "total_prompt_tokens": 0,
    "total_completion_tokens": 0,
    "total_tokens": 0,
    "total_cached_prompt_tokens": 0,
    "total_requests": 0,
    "total_cost_micros": 0
  },
  "by_model": [
    {
      "model": "string",
      "service_tier": "default",
      "total_prompt_tokens": 0,
      "total_completion_tokens": 0,
      "total_tokens": 0,
      "total_cached_prompt_tokens": 0,
      "total_requests": 0,
      "total_cost_micros": 0
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}